package distribute

type GpuInfo struct {
	Performance int64
	Mem         int64
}

type IWorker interface {
	DiskReverse() int64
	Address() string
	GPUInfo() []GpuInfo
}

type WorkerManager interface {
	WorkerCount() int
}

type ModelLibrary interface {
	FindModel(int) ModelDetailInfo
	FindModelByName(string) ModelDetailInfo
	InstalledWorkerCount(int) int
	AllModel() SortedModelDetailInfos
	GetModelUsedLevel(info ModelDetailInfo) ModelUsedLevel
}
